<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVoiceMailPilotReq StructType
 * @subpackage Structs
 */
class AddVoiceMailPilotReq extends APIRequest
{
    /**
     * The voiceMailPilot
     * @var XVoiceMailPilot
     */
    public $voiceMailPilot;
    /**
     * Constructor method for AddVoiceMailPilotReq
     * @uses AddVoiceMailPilotReq::setVoiceMailPilot()
     * @param XVoiceMailPilot $voiceMailPilot
     */
    public function __construct(XVoiceMailPilot $voiceMailPilot = null)
    {
        $this
            ->setVoiceMailPilot($voiceMailPilot);
    }
    /**
     * Get voiceMailPilot value
     * @return XVoiceMailPilot|null
     */
    public function getVoiceMailPilot()
    {
        return $this->voiceMailPilot;
    }
    /**
     * Set voiceMailPilot value
     * @param XVoiceMailPilot $voiceMailPilot
     * @return AddVoiceMailPilotReq
     */
    public function setVoiceMailPilot(XVoiceMailPilot $voiceMailPilot = null)
    {
        $this->voiceMailPilot = $voiceMailPilot;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVoiceMailPilotReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
